Subject: [SWIPL] Multithreading problem

From: Mihir Malviya <[email-masked]>
Date: Mon, 10 Dec 2001 11:21:44 +0530

Hi,
  I need to embedded SWI-prolog into a c++ application which is
multithreaded.My query is , do I have to build prolog using the
multi-threaded option?
or  can the single threaded version also be embedded into the application? 
 
My second query is the sequence of calls for running in an multithreaded
environment...
ie do I need to call PL_initialize(), and if yes, should it be called before
or after PL_thread_create() ?
 
Rgrds,
mihir